Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%ifarch %ix86 x86_64
%define msse_flags -msse -mfpmath=sse
%endif

Name:           radium-compressor
Version:        0.5.1
Release:        alt2_20
Summary:        An audio compressor for JACK

License:        GPLv3+
URL:            http://users.notam02.no/~kjetism/radium/
Source0:        http://archive.notam02.no/arkiv/src/radium_compressor-0.5.1.tar.gz
Source1:        radium-compressor.desktop
Patch0:         radium_compressor-0.5.1-cstdlib.patch
BuildRequires:  libjack-devel
BuildRequires:  libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Radium Compressor is the system compressor in Radium,
but distributed as a standalone jack application.

Radium Compressor uses the stereo compressor found in
effect.lib in the Faust distribution. 

%prep
%setup -q -n radium_compressor-%{version}
%patch0 -p1
find -name "*.h" -exec chmod 0644 {} \;
# see https://bugzilla.redhat.com/show_bug.cgi?id=904658 for 
# justification of non-standard optflags
sed -i -e 's|-O3 -Wall -msse -mfpmath=sse|%{optflags} %{?msse_flags} -O3|' Makefile

%build
%make_build

%install
install -p -D -m0755 radium_compressor %{buildroot}%{_bindir}/radium_compressor
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1

%files
%doc README COPYING Changelog
%{_bindir}/radium_compressor
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5.1-alt2_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt2_19
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_19
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_18
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_10
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_9
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_5
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_4
- initial fc import

